---
layout: default
---

<!-- Durée -->
{%   assign end = page.timeEnd  | date: '%s'  %}
{%   assign start = page.timeStart  | date: '%s'  %}
{%   assign secondsSince = end | minus: start   %}
{%   assign hour = secondsSince | divided_by: 60 | divided_by: 60     %}
{%   assign hourMinutes = hour | times: 60      %}
{%   assign minutes = secondsSince | divided_by: 60 | minus: hourMinutes     %}

<!-- Traduction Jour-->
{%   assign dayEnglish =  page.timeStart | date: "%A"     %}
{% case dayEnglish  %}
{% when "Monday" %}
    {%   assign dayFrench =  "Lundi" %}
{% when "Tuesday" %}
    {%   assign dayFrench =  "Mardi" %}
{% when "Wednesday" %}
    {%   assign dayFrench =  "Mercredi" %}
{% when "Thursday" %}
    {%   assign dayFrench =  "Jeudi" %}
{% when "Friday" %}
    {%   assign dayFrench =  "Vendredi" %}
{% when "Saturday" %}
    {%   assign dayFrench =  "Samedi" %}
{% when "Sunday" %}
    {%   assign dayFrench =  "Dimanche" %}
{% endcase %}

<!-- Traduction mois-->
{%   assign monthEnglish =  page.timeStart | date: "%B"     %}
{% case monthEnglish %}
{% when "January" %}
    {%   assign monthFrench =  "Janvier" %}
{% when "February" %}
    {%   assign monthFrench =  "Février" %}
{% when "March" %}
    {%   assign monthFrench =  "Mars" %}
{% when "April" %}
    {%   assign monthFrench =  "Avril" %}
{% when "May" %}
    {%   assign monthFrench =  "Mai" %}
{% when "June" %}
    {%   assign monthFrench =  "Juin" %}
{% when "July" %}
    {%   assign monthFrench =  "Juillet" %}
{% when "August" %}
    {%   assign monthFrench =  "Août" %}
{% when "September" %}
    {%   assign monthFrench =  "Septembre" %}
{% when "October" %}
    {%   assign monthFrench =  "Octobre" %}
{% when "November" %}
    {%   assign monthFrench =  "Novembre" %}
{% when "December" %}
    {%   assign monthFrench =  "Décembre" %}
{% endcase %}


{% assign formateurs = "" | split: ',' %}
{% assign listeSequences = site.sequences | where:"numeroModule", page.numeroModule  %}
{% for item in listeSequences  %}
{% assign formateurs = formateurs | concat: item.formateurs | uniq %}
{% endfor %}

<div class="row">
    <div class="col-sm-3">
        <nav id="toc" class="sticky-top"></nav>
    </div>
    <div class="col-sm-9" data-spy="scroll" data-target="#toc" data-offset="70" >

        <div class="card">
            <div class="card-header text-white bg-info">
                <h2 style="all:unset; font-size: 1.15rem; font-weight: bold;"><i class="fas fa-info-circle"></i> Informations générales</h2>
            </div>
            <div class="card-body">
                <p><b>Formateurs</b> <br>  
                    {% for formateur in formateurs %}
                        {% assign find = "false" %}
                        {% for i in site.formateurs %}
                            {% if i.shortName == formateur %}
                                <a href="{{site.baseurl}}/{{ i.url }}">{{ i.firstName }} {{ i.lastName }}</a>
                                {% assign find = "true" %} 
                                {% break %}
                            {% endif %}
                        {% endfor %} 
                        {% if find == "false" %}
                            {{ formateur }}
                        {% endif %}
                        {% unless forloop.last %},{% endunless %}
                        {% if forloop.last  %};{% endif %}
                    {% endfor %} 
                </p>
                
                <h4>Date</h4>
                <div class="row h-100 justify-content-center align-items-center">
                    <div class="col-sm-6">
                        <p><b>Quand ?</b> : {{ dayFrench }} {{ page.timeStart | date: "%-d" }} {{ monthFrench }} {{ page.timeStart | date: "%Y" }}</p>
                        <p><b>À quelle heure ?</b> : {{ page.timeStart | date: "%R" }} </p>
                        <p><b>Combien de temps ?</b> : {{ hour }} h {% if minutes != 0 %}{{ minutes }}{% endif %}</p>
                    </div>
                    <div class="col-sm-6 text-center">
                        <div title="Add to Calendar" class="addeventatc">
                            Ajouter au calendrier
                            <span class="start">{{ page.timeStart }}</span>
                            <span class="end">{{ page.timeEnd }}</span>
                            <span class="timezone">{{ page.timezone }}</span>
                            <span class="title">[Formation] FAIR data - IFB</span>
                            <span class="description"> {{ page.header_subTitle }}</span>
                        </div>
                    </div>
                </div>

                <h4>Progression dans la formation</h4>
                <div class="progress">
                    {% assign nbModules = site.modules | size | times: 1.0 %}
                    {% assign progress = page.numeroModule | divided_by: nbModules | times: 100.0  %}
                    <div class="progress-bar progress-bar-striped" role="progressbar" style="width: {{progress}}%" aria-valuenow="10" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
            </div>
        </div>

        {{ content }}

        {% if page.questions %}
            {%- include questionnement.html -%}  
        {% endif %}

        {% if page.objectifs %}
            {%- include objectifs.html -%}  
        {% endif %}

        <h2> Au programme</h2>

        {% assign listeSequences = site.sequences | where:"numeroModule", page.numeroModule | sort:"numeroSequence" %}
        {% assign size = listeSequences | size %}
        {% if size != 0 %}
        <h3>Les cours</h3>
        <ol>
            {% for item in listeSequences  %}
            <li><a href="{{site.baseurl}}{{item.url}}">{{item.title}}</a> </li>
            {% endfor %}
        </ol>
        {% endif %}

        {% if page.messages %}
            {%- include takeHomeMessage.html -%}  
        {% endif %}

        {% if page.homework %}
            {%- include homework.html -%}  
        {% endif %}

        {% if page.fomulaireAvis %}
            {%- include googleForm.html -%}  
        {% endif %}

    </div>
</div>

